PDA

View Full Version : What are you guys using for offline update servers for older OS pre XP (95, 98, 2k)?



Unknown_K
December 21st, 2013, 11:23 PM
Are there any offline update servers worth looking at for the older 9x/2k platforms? The ones I have seen online start at XP (sp3 I think). 98 auto update doesn't seem to work anymore and since I have a networked server with plenty of space I think offline updates are the way to go.

SomeGuy
December 22nd, 2013, 05:03 AM
For Windows 98, search for the "unofficial service pack".

For Windows 2000 just download Microsoft's Service Pack 4 "w2ksp4_en.exe". There was also a post SP4 roll up patch: Windows2000-KB891861-v2-x86-ENU.EXE but I don't recommend the roll up as it caused some odd speed issues for me.

This site also has a lot of information about individual updates: http://www.mdgx.com/web.htm

Shadow Lord
December 23rd, 2013, 07:35 AM
Are there any offline update servers worth looking at for the older 9x/2k platforms? The ones I have seen online start at XP (sp3 I think). 98 auto update doesn't seem to work anymore and since I have a networked server with plenty of space I think offline updates are the way to go.

Well there is always Windows Server Update Services (http://technet.microsoft.com/en-us/windowsserver/bb332157.aspx). I admit while I've thought about it I've never looked at the feasibility of deploying it. However, it would be awesome if one could deploy a private one on a personal network so all of your old boxens can continue to update or make it even publicly available for the vintage community. Of course the other issue is can you still get and load up updates for older OSes on it?

EDIT: To answer my own question:


SUS requires the client machine to be:
Windows Vista (Business, Enterprise, and Ultimate)
Windows 2000 Pro/Server SP3 or higher
Windows 2003 Server (x32 or x64)
Windows XP SP1 or higher
Windows XP (x64)
If you have Windows 2000 SP2 or less OR Windows XP (no SP), these machines need to have their service packs upgraded manually to the above levels to work with WSUS. WSUS does not support Windows NT 4.0, Windows ME, or Windows 9x.


BTW: Windows 7 is now supported as well.

Unknown_K
December 23rd, 2013, 01:55 PM
When did MS start WSUS? Can you just load an old version on a Win2k server that will support the older systems?

Shadow Lord
December 23rd, 2013, 02:26 PM
When did MS start WSUS? Can you just load an old version on a Win2k server that will support the older systems?

Not as far as I can determine. Even though Win 9x had the update functionality it is not compatible with WSUS. If the info I found is to be believed WSUS doesn't even support 2K pre SP2. I'd be happy to be wrong but I doubt it.